## org.eclipse.datatools.sqltools.plan
Interface IPlanService

All Known Implementing Classes:
  PlanService

    public interface IPlanService

In order to support graphic execution plan when using EPV (SQL Execution Plan View), consumer must provide the plan parser and plan drawer, which are used to parse the raw plan data and draw graphic plan. If the graphic plan is tree-structure, the consumer can use `TreePlanDrawer` to draw the plan, in this case, they only need to implement `IPlanParser` to parse the execution plan into `TreeExecutionPlanDocument`

Author:
  Dafan Yang
See Also:
  `IPlanParser`, `IPlanDrawer`

Method Summary
`PlanSupportRunnable` `createPlanSupportRunnable(PlanRequest request, java.lang.String profileName, java.lang.String dbName)` Return a PlanSupportRunnable which knows how to retrieve query plan for the database.
`IPlanDrawer` `getPlanDrawer()` Returns the plan drawer.
`IPlanOption` `getPlanOption()` Return a IPlanOption object which defines the query plan options supported by the database.
`IPlanParser` `getPlanParser()` Returns the plan parser.

Method Detail

### createPlanSupportRunnable

    PlanSupportRunnable createPlanSupportRunnable(PlanRequest request,
                                                  java.lang.String profileName,
                                                  java.lang.String dbName)

  Return a PlanSupportRunnable which knows how to retrieve query plan for the database.

  Parameters:
    `request` -
    `databaseIdentifier` -
  Returns:

### getPlanOption

    IPlanOption getPlanOption()

  Return a IPlanOption object which defines the query plan options supported by the database.

  Returns:

### getPlanParser

    IPlanParser getPlanParser()

  Returns the plan parser. For one type of database, only one parser is supported.

  Returns:
    the parser

### getPlanDrawer

    IPlanDrawer getPlanDrawer()

  Returns the plan drawer. The plan drawer is responsible for drawing the `IExecutionPlanDocument` obtained from `IPlanParser` on canvas.

  Returns:
    the plan drawer